# $Id: perl-URPM.spec 36978 2006-06-12 10:31:28Z rafael $

%define name perl-URPM
%define real_name URPM
%define version 3.40.3
%define release %mkrel 1

%define group %(perl -e 'printf "%%s\\n", "%_vendor" =~ /\\bmandr|\\bmageia/i ? "Development/Perl" : "Applications/CPAN"')
%define rpm_version %(rpm -q --queryformat '%|EPOCH?{[%{EPOCH}:%{VERSION}]}:{%{VERSION}}|' rpm)

%{expand:%%define compat_makeinstall_std %(perl -e 'printf "%%s\n", "%{?makeinstall_std:1}" ? "%%makeinstall_std" : "%%{__make} install PREFIX=%%{buildroot}%%{_prefix}"')}
%{expand:%%define compat_perl_vendorarch %(perl -MConfig -e 'printf "%%s\n", "%{?perl_vendorarch:1}" ? "%%{perl_vendorarch}" : "$Config{installvendorarch}"')}

Summary:	URPM module for perl
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL or Artistic
Group:		%{group}
Source:		%{real_name}-%{version}.tar.xz
URL:		http://svnweb.mageia.org/soft/rpm/perl-URPM/
BuildRequires:	perl-devel
BuildRequires:	rpm-devel
BuildRequires:	perl(MDV::Packdrakeng)
# For tests:
BuildRequires:	perl-Test-Pod

# we can now expect librpm API to be backward compatible
Requires:	rpm >= %{rpm_version}
Requires:	perl(MDV::Packdrakeng)
Provides:	perl(URPM::Build) = %{version}-%{release}
Provides:	perl(URPM::Resolve) = %{version}-%{release}
Provides:	perl(URPM::Signature) = %{version}-%{release}


%define _requires_exceptions perl(URPM::DB)\\|perl(URPM::Package)\\|perl(URPM::Transaction)

%description
The URPM module allows you to manipulate rpm files, rpm header files and
hdlist files and manage them in memory.

%prep
%setup -q -n %{real_name}-%{version}
%apply_patches

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
# (tv) fix segfaulting (#61144); -O1 is OK, -O2 is not, the flag that made the difference is -fno-gcse:
# (tv) 2011-03-07: -fno-gcse is no more enough with newer gcc:
%{__make} OPTIMIZE="$RPM_OPT_FLAGS -O1"

%check
%{__make} test

%install
%{__rm} -rf %{buildroot}
%{compat_makeinstall_std}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README NEWS
%{_mandir}/man3/*
%{compat_perl_vendorarch}/URPM.pm
%{compat_perl_vendorarch}/URPM
%dir %{compat_perl_vendorarch}/auto/URPM
%{compat_perl_vendorarch}/auto/URPM/URPM.so


%changelog

* Mon Apr 15 2013 tv <tv> 3.40.3-1.mga2
+ Revision: 410121
- add basic support for --downgrade (mga#6655)
- do not try to parse current pointer when the line is invalid or
  empty (detected by valgrind)
- don't read/write after the string when the synthesis is slightly
  malformed
- enable to read xz & bzip2 compressed synthesis
- add URPM::traverse_tag_find() for urpme --env

  + pterjan <pterjan>
    - Add a Package::doc_files() method

* Mon Feb 27 2012 tv <tv> 3.39-1.1.mga2
+ Revision: 215699
- do not add FILENAME_TAG to hdlist anymore (unused since mdv2008)
- fix for a rare crash (mga#4425)
- put real package file sizes in synthesis

* Wed Feb 08 2012 tv <tv> 3.38.8-1.1.mga2
+ Revision: 206228
- switch from forking unpacker to using librpm

* Tue Feb 07 2012 tv <tv> 3.38.7.1-1.1.mga2
+ Revision: 206210
- rediff patch
- build with patch for patched rpm

* Tue Feb 07 2012 tv <tv> 3.38.7.1-1.mga2
+ Revision: 206188
- cleanups
- fix computing size of added/freed disk space when updating involves removing
  some packages (mga#4427)
- really prefer packages from first media, thus fixing downloading noarch
  packages from 32 bit repository (mga#1603)
- package smaller NEWS instead of bigger ChangeLog

* Sun Jan 15 2012 tv <tv> 3.38.6-2.1.mga2
+ Revision: 196555
- bump release for updates_testing

* Sun Jan 15 2012 tv <tv> 3.38.6-2.mga2
+ Revision: 196551
- disable patch 0 in core/release

* Sun Jan 15 2012 tv <tv> 3.38.6-1.4.mga2
+ Revision: 196495
- patch 0: fix regression in testing suite
- patch 0: switch from forking unpacker to using librpm.diff (upstream patch)
  (mga #1962)

  + blino <blino>
    - 3.38.6
    - support kernel 3.x in kmod resolution

* Mon Dec 19 2011 tv <tv> 3.38.5-1.3.mga2
+ Revision: 184269
- bump subrel for updates_testing

* Mon Dec 19 2011 tv <tv> 3.38.5-1.2.mga2
+ Revision: 184234
- fix parsing a spec file with rpm-4.9
  (regression introduced when adding support for rpm-4.9)
- enable to traverse db by fullname
- fix slow matching of individual regexes for skipping dependencies by creating
  a large regex to match them all at once (mdv#61389, Shlomi Fish)

* Tue Oct 11 2011 dmorgan <dmorgan> 3.38.4-1.2.mga2
+ Revision: 153855
- Add subrel for testing

* Sat Sep 17 2011 tv <tv> 3.38.4-1.mga2
+ Revision: 144431
- fix calling method in string
  (spoted by perl_checker, introduced in revision mga#267800 ("honour search
   medias when using --auto-select") but teuf on Fri Apr 23 2010
- new release
- BR perl-Test-Pod for tests
- really rebuild with rpm-4.9

  + dmorgan <dmorgan>
    - Bump release to push in testing

* Sat Sep 10 2011 dmorgan <dmorgan> 3.38.2-4.mga2
+ Revision: 142033
- Rebuild to replace manually build rpm in testing

* Fri Sep 09 2011 tv <tv> 3.38.2-3.mga2
+ Revision: 141926
- fix spec2srcheader() for rpm-4.9.x
- use xz compression

* Mon Aug 29 2011 fwang <fwang> 3.38.1-3.mga2
+ Revision: 136130
- rebuild for new perl

* Sun Jun 12 2011 ahmad <ahmad> 3.38.1-2.mga2
+ Revision: 104562
- Rebuild for missing signature

* Thu Apr 21 2011 tv <tv> 3.38.1-1.mga1
+ Revision: 89380
- fix crashing while removing several packages (#248)
- enable to compile with rpm-4.9.x

  + misc <misc>
    - clean BR and conflict

* Mon Mar 07 2011 tv <tv> 3.38-4.mga1
+ Revision: 65812
- try harder/again to fix bug #248 (MDV#61144)
  (-fno-gcse might not be enough with newer gcc)

* Tue Mar 01 2011 dmorgan <dmorgan> 3.38-3.mga1
+ Revision: 62050
- Rebuild against rpm 4.8.1

* Tue Jan 18 2011 blino <blino> 3.38-2.mga1
+ Revision: 23454
- buildrequire perl-devel
- use Development/Perl for Mageia as well
- remove old release hack

  + nanardon <nanardon>
    - kill empty lines

  + jquelin <jquelin>
    - imported package perl-URPM

